Package org.drinkless.tdlib

# Class TdApi.UpdateNewOauthRequest

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateNewOauthRequest

Enclosing class:
  `TdApi`

public static class TdApi.UpdateNewOauthRequest extends TdApi.Update
An OAuth authorization request was received.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `domain`
  A domain of the URL where the user authorizes.
  `String`
  `location`
  Human-readable description of a country and a region from which the authorization is performed, based on the IP address.
  `String`
  `url`
  The URL to pass to getOauthLinkInfo; the link is valid for 60 seconds.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateNewOauthRequest()`
  An OAuth authorization request was received.
  `UpdateNewOauthRequest(String domain, String location, String url)`
  An OAuth authorization request was received.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### domain

    public String domain
    A domain of the URL where the user authorizes.

  - ### location

    public String location
    Human-readable description of a country and a region from which the authorization is performed, based on the IP address.

  - ### url

    public String url
    The URL to pass to getOauthLinkInfo; the link is valid for 60 seconds.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateNewOauthRequest

    public UpdateNewOauthRequest()
    An OAuth authorization request was received.

  - ### UpdateNewOauthRequest

    public UpdateNewOauthRequest(String domain, String location, String url)
    An OAuth authorization request was received.
    Parameters:
      `domain` - A domain of the URL where the user authorizes.
      `location` - Human-readable description of a country and a region from which the authorization is performed, based on the IP address.
      `url` - The URL to pass to getOauthLinkInfo; the link is valid for 60 seconds.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR